Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.utils
Class HelperNodeList

    java.lang.Object
      org.apache.xml.security.utils.HelperNodeList

All Implemented Interfaces:
  org.w3c.dom.NodeList

    public class HelperNodeList

extends java.lang.Object
implements org.w3c.dom.NodeList

Author:
  Christian Geuer-Pollmann

Constructor Summary
`HelperNodeList()`
`HelperNodeList(boolean allNodesMustHaveSameParent)`

Method Summary
`void` | `appendChild(org.w3c.dom.Node node)` Method appendChild
`int` | `getLength()` Method getLength
`org.w3c.dom.Document` | `getOwnerDocument()`
`org.w3c.dom.Node` | `item(int index)` Method item

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HelperNodeList

    public HelperNodeList()

### HelperNodeList

    public HelperNodeList(boolean allNodesMustHaveSameParent)

Parameters:
  `allNodesMustHaveSameParent` -

Method Detail

### item

    public org.w3c.dom.Node item(int index)

  Method item

  Specified by:
    `item` in interface `org.w3c.dom.NodeList`
  Parameters:
    `index` -
  Returns:
    node with index i

### getLength

    public int getLength()

  Method getLength

  Specified by:
    `getLength` in interface `org.w3c.dom.NodeList`
  Returns:
    length of the list

### appendChild

    public void appendChild(org.w3c.dom.Node node)
                     throws java.lang.IllegalArgumentException

  Method appendChild

  Parameters:
    `node` -
  Throws:
    `java.lang.IllegalArgumentException`

### getOwnerDocument

    public org.w3c.dom.Document getOwnerDocument()

  Returns:
    the document that contains this nodelist

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD